# $Revision: 1.23.2.2 $, $Date: 2003/04/28 12:51:49 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Flow
Summary:	Data::Flow Perl module
Summary(cs):	Modul Data::Flow pro Perl
Summary(da):	Perlmodul Data::Flow
Summary(de):	Data::Flow Perl Modul
Summary(es):	Mdulo de Perl Data::Flow
Summary(fr):	Module Perl Data::Flow
Summary(it):	Modulo di Perl Data::Flow
Summary(ja):	Data::Flow Perl ⥸塼
Summary(ko):	Data::Flow  
Summary(no):	Perlmodul Data::Flow
Summary(pl):	Modu Perla Data::Flow
Summary(pt):	Mdulo de Perl Data::Flow
Summary(pt_BR):	Mdulo Perl Data::Flow
Summary(ru):	  Perl Data::Flow
Summary(sv):	Data::Flow Perlmodul
Summary(uk):	  Perl Data::Flow
Summary(zh_CN):	Data::Flow Perl ģ
Name:		perl-Data-Flow
Version:	0.05
Release:	11
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data::Flow - Perl extension for simple-minded recipe-controlled build
of data.

%description -l pl
Modu perla Data::Flow.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Data/Flow.pm
%dir %{perl_sitelib}/auto/Data/Flow
%{perl_sitelib}/auto/Data/Flow/autosplit.ix
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Data-Flow.spec,v $
Revision 1.23.2.2  2003/04/28 12:51:49  ankry
- really rel++

Revision 1.23.2.1  2003/03/13 00:56:53  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.23  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:31:05  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/09/18 21:00:20  ankry
- added tests on bcond; %%{perl_sitelib}/auto/Data moved to perl
- release 10

Revision 1.20  2002/07/27 21:30:06  ankry
- translations, cleaning
- new %%doc
- added autosplit.ix
- release 9

Revision 1.19  2002/07/10 08:46:53  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:10:46  depesz
automatic: Source location unified, Relase Up

Revision 1.14  2002/02/10 15:25:06  depesz
adapterized

Revision 1.13  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:07:34  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/30 09:00:13  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:33  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
